# $Revision: 1.40 $, $Date: 2006/11/21 19:56:55 $
# TIP:
# - After upgrade from version <= 0.18.x mysql database requires upgrade!
Summary:	The Mantis bug tracker
Summary(pl):	Mantis - system kontroli bdw
Name:		mantis
Version:	1.0.5
Release:	3
License:	GPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/mantisbt/%{name}_%{version}.tar.gz
# Source0-md5:	01c5fb87e5ac161a681471573711bcf6
Source1:	%{name}-doc-PLD.tar.gz
Source2:	%{name}.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-doc.patch
URL:		http://mantisbt.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(triggerpostun):	sed >= 4.0
Requires:	apache(mod_dir)
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	webapps
Requires:	webserver = apache
Requires:	webserver(php) >= 4.3.1-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Mantis is a PHP/MySQL/web based bugtracking system.

%description -l pl
Mantis jest systemem kontroli bdw opartym na interfejsie WWW, bazie
MySQL oraz PHP.

%package setup
Summary:	Mantis setup package
Summary(pl):	Pakiet do wstpnej konfiguracji Mantisa
Group:		Applications/WWW
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description setup
Install this package to configure initial Mantis installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl
Ten pakiet naley zainstalowa w celu wstpnej konfiguracji Mantisa po
pierwszej instalacji. Potem naley go odinstalowa, jako e
pozostawienie plikw instalacyjnych mogoby by niebezpieczne.

%prep
%setup -q -a1 -n %{name}_%{version}
%patch0 -p1
%patch1 -p1
sed -i -e '1s,#!.*bin/php,#!%{_bindir}/php,' core/checkin.php
find . -type d -name CVS | xargs rm -rf
find . -type f -name .cvsignore | xargs rm -rf
find '(' -name '*~' -o -name '*.orig' ')' | xargs -r rm -v

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir}/doc,%{_sysconfdir}}

cp -af {*.php,admin,core,css,graphs,images,javascript,lang} $RPM_BUILD_ROOT%{_appdir}
cp -a config_inc.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/config.php
ln -s %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config_inc.php

mv $RPM_BUILD_ROOT{%{_appdir}/config_defaults_inc.php,%{_sysconfdir}/config_defaults.php}
ln -s %{_sysconfdir}/config_defaults.php $RPM_BUILD_ROOT%{_appdir}/config_defaults_inc.php

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
%banner -e %{name} <<EOF
Install %{name}-setup if you need to setup initial Mantis
configuration or configure mantis.
EOF
fi

%post setup
# TODO: use banner instead
if [ "$LANG" = "pl_PL" ]; then
	echo "Aby uzyska wicej informacji o Mantisie w Linuksie PLD przeczytaj: "
	echo " less %{_docdir}/%{name}-setup-%{version}/PLD_Install_PL.txt.gz"
else
	echo "For More information on Mantis on PLD Linux please read:"
	echo " less %{_docdir}/%{name}-setup-%{version}/PLD_Install_EN.txt.gz"
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 0.19.3-2.1
# rescue app configs.
for i in config.php config_defaults.php; do
	if [ -f /etc/%{name}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/%{name}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

# migrate from apache-config macros
if [ -f /etc/%{name}/apache.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_sysconfdir}/apache.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/httpd.conf
	fi
	rm -f /etc/%{name}/apache.conf.rpmsave
fi

# migrating from earlier apache-config?
if [ -L /etc/apache/conf.d/99_%{name}.conf ] || [ -L /etc/httpd/httpd.conf/99_%{name}.conf ]; then
	if [ -L /etc/apache/conf.d/99_%{name}.conf ]; then
		rm -f /etc/apache/conf.d/99_%{name}.conf
		/usr/sbin/webapp register apache %{_webapp}
		apache_reload=1
	fi
	if [ -L /etc/httpd/httpd.conf/99_%{name}.conf ]; then
		rm -f /etc/httpd/httpd.conf/99_%{name}.conf
		/usr/sbin/webapp register httpd %{_webapp}
		httpd_reload=1
	fi
else
	# no earlier registration. assume migration from Ra
	if [ -d /etc/apache/webapps.d ]; then
		/usr/sbin/webapp register apache %{_webapp}
		apache_reload=1
	fi
	if [ -d /etc/httpd/webapps.d ]; then
		/usr/sbin/webapp register httpd %{_webapp}
		httpd_reload=1
	fi
fi

if [ "$httpd_reload" ]; then
	%service httpd reload
fi
if [ "$apache_reload" ]; then
	%service apache reload
fi

%files
%defattr(644,root,root,755)
%doc doc/{CREDITS,CUSTOMIZATION,ChangeLog,INSTALL,README,UPGRADING}
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config_defaults.php
%dir %{_appdir}
%{_appdir}/config_defaults_inc.php
%{_appdir}/config_inc.php
%{_appdir}/issues_rss.php
%{_appdir}/return_dynamic_filters.php
%{_appdir}/core
%{_appdir}/css
%{_appdir}/graphs
%{_appdir}/images
%{_appdir}/javascript
%{_appdir}/lang
%{_appdir}/doc
%{_appdir}/adm_*
%{_appdir}/account*
%{_appdir}/bug*
%{_appdir}/changelog_page*
%{_appdir}/core.*
%{_appdir}/csv*
%{_appdir}/file*
%{_appdir}/history*
%{_appdir}/index*
%{_appdir}/jump*
%{_appdir}/lo*
%{_appdir}/ma*
%{_appdir}/me*
%{_appdir}/my*
%{_appdir}/news*
%{_appdir}/print*
%{_appdir}/proj*
%{_appdir}/query*
%{_appdir}/set*
%{_appdir}/sig*
%{_appdir}/sum*
%{_appdir}/veri*
%{_appdir}/view*

%files setup
%defattr(644,root,root,755)
%doc PLD*
%{_appdir}/admin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mantis.spec,v $
Revision 1.40  2006/11/21 19:56:55  glen
- rel 3: use php(extension) virtuals

Revision 1.39  2006/10/01 17:45:19  glen
- rel 2

Revision 1.38  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.37  2006/08/04 01:53:31  glen
- updated to 1.0.5

Revision 1.36  2006/02/03 16:24:03  baggins
- release 3

Revision 1.35  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.34  2006/01/04 14:14:04  glen
- use %service in trigger to respect skip auto restarts of services
- sorted preambles
- rel 2

Revision 1.33  2005/12/24 13:38:17  glen
- fix php program dep

Revision 1.32  2005/12/24 13:27:26  glen
- 0.19.4 (Multiple vulnerabilities resolved)

Revision 1.31  2005/12/07 21:44:10  glen
- use webapps framework, rel 3

Revision 1.30  2005/11/20 22:47:21  glen
- use virtual webserver provide

Revision 1.29  2005/10/28 13:04:51  glen
- debian patch is obsolete

Revision 1.28  2005/10/28 12:45:18  glen
- 0.19.3 [glsa-200510-24]:
  - a remote file inclusion vulnerability
  - an SQL injection vulnerability
  - multiple cross site scripting vulnerabilities
  - multiple information disclosure vulnerabilities

Revision 1.27  2005/10/03 13:56:31  qboosh
- pl declension

Revision 1.26  2005/09/24 13:51:29  glen
- separate package for admin pages (TODO completed)
- please test as i don't use mantis myself

Revision 1.25  2005/09/24 13:43:49  glen
- fix config and doc
- fix %post (thx sparky)

Revision 1.24  2005/09/24 13:29:07  glen
- patch from gentoo (debian): SQL injection and XSS (CAN-2005-255{6-7})

Revision 1.23  2005/09/24 13:14:26  glen
- removed unneccessary deps
- use apache config install triggers
- moved config to /etc/mantis

Revision 1.22  2005/01/09 17:42:44  adamg
- updated to 0.19.2

Revision 1.21  2004/11/19 15:27:27  ciesiel
- upgrade to version 0.19.1

Revision 1.20  2004/09/25 13:55:46  ciesiel
- upgraded to version 0.19.0

Revision 1.19  2004/08/31 16:30:01  ciesiel
- upgraded to version 0.19.0 rc1
- removed TODO (security fixed)
- Warning: after upgrade from version 0.18.x mysql database need upgrade!

Revision 1.18  2004/08/31 09:07:29  blues
- next security note

Revision 1.17  2004/08/31 08:55:21  blues
- SECURITY note (for future upgrade...)

Revision 1.16  2004/08/20 08:15:27  troll
- s@/etc@%{_sysconfdir}@g
- description cosmetics

Revision 1.15  2004/08/20 07:04:51  ciesiel
- changed to alias httpd

Revision 1.14  2004/05/24 19:19:04  ankry
- spaces -> tabs, other cosmetics

Revision 1.13  2004/05/24 18:25:41  ciesiel
- upgraded to version 0.18.3

Revision 1.12  2004/04/26 18:17:08  ciesiel
- fixed http dir

Revision 1.11  2004/04/26 18:05:56  ciesiel
- fixed doc dir (some files use to system help)

Revision 1.10  2004/04/13 20:21:59  ciesiel
- upgraded to version 0.18.2

Revision 1.9  2004/02/08 17:25:18  misi3k
- updated to 0.18.1

Revision 1.8  2003/12/24 09:38:07  ciesiel
- upgraded to 0.18 final

Revision 1.7  2003/11/21 14:07:19  qboosh
- Epoch 1, compressed php reqs, cleanups/unifications

Revision 1.6  2003/11/21 13:55:02  ciesiel
- upgraded to 0.18.0rc1
- cleaning

Revision 1.5  2003/07/03 08:57:52  cieciwa
- update by ciesiel@pld-linux.org

Revision 1.4  2003/06/30 17:48:39  mmazur
- changes by ciesiel

Revision 1.3  2003/06/30 11:34:15  ankry
- some fixes by Marek Ciesielski <marekc@klub.chip.pl>
- sync English description with Polish one
- slightly modified %post

Revision 1.2  2003/06/28 14:55:39  qboosh
- removed preun (customized config file shouldn't be removed!)
- do some modifications in install section instead of post
- cleanups, added some TODO

Revision 1.1  2003/06/24 19:42:06  matkor
- Added in behalf of ciesiel (marekc@klub.chip.pl). At least builds.
